import React, { ComponentProps } from 'react';
export declare const DropDownContext: React.Context<any>;
declare type Placement = 'bottom-end' | 'bottom-start' | 'bottom' | 'left-end' | 'left-start' | 'left' | 'right-end' | 'right-start' | 'right' | 'top-end' | 'top-start' | 'top';
export interface IDropDown {
    children?: React.ReactNode;
    component: React.ReactNode;
    placement?: Placement;
    open?: boolean;
    value?: any;
    onChange?: React.ChangeEventHandler<HTMLElement>;
}
declare const DropDownWrapper: ({ placement, component, open, children, value, onChange, className, ...arg }: IDropDown & Omit<ComponentProps<'div'>, keyof IDropDown>) => JSX.Element;
export default DropDownWrapper;
