import React, { ComponentProps } from 'react';
import { sizeType } from '../../utils/componentPropsTypes';
export interface IMenuItem {
    startImg: React.ReactNode;
    endImg: React.ReactNode;
    text: string;
    size: sizeType;
    active: boolean;
}
declare const MenuItem: React.FC<Partial<IMenuItem & Omit<ComponentProps<'button'>, keyof IMenuItem>>>;
export default MenuItem;
